API reference
Cancel a payment order
Only orders still in `created` can be canceled. Allocated addresses are released atomically.
POST
/v1/payment-orders/{id}/cancelAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard (no sk_ prefix required).
In: header
Path Parameters
id*unknown
Payment order id.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/payment-orders/{id}/cancel"{
"id": "string",
"merchant_order_id": "string",
"scenario": "saas_subscription",
"amount": "string",
"requested_amount": "string",
"settlement_asset": "USDC",
"status": "created",
"expires_at": "2019-08-24T14:15:22Z",
"metadata": "string",
"created_at": "2019-08-24T14:15:22Z",
"accepted_assets": [
{
"chain": "ethereum",
"asset": "USDC"
}
],
"payment_instructions": [
{
"chain": "ethereum",
"asset": "USDC",
"address": "string"
}
]
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}